Name:          log4cpp
Version:       1.0
Release:       %mkrel 1
Summary:       C++ logging library
Group:         Development/C++
License:       LGPL
Url:           http://sourceforge.net/projects/log4cpp/
Source0:       http://sourceforge.net/projects/log4cpp/files/log4cpp-1.0.x%20%28current%29/log4cpp-1.0/log4cpp-1.0.tar.gz
# Fix errors when compiling with gcc >= 4.3
Patch0:        log4cpp-1.0-gcc43.patch
# Don't put build cflags in .pc
Patch1:        log4cpp-1.0-remove-pc-cflags.patch
# Install docs into DESTDIR
Patch2:        log4cpp-1.0-fix-doc-dest.patch
# Don't try to build snprintf.c
Patch3:        log4cpp-1.0-no-snprintf.patch
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc-c++
BuildRequires: doxygen
BuildRequires: libtool
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Log for C++ is a library of classes for flexible logging to files, syslog,
and other destinations. It is modeled after the Log for Java library and
stays as close to its API as is reasonable.

%package devel
Group:         Development/C++
Summary:       The %{name} development libraries and headers
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
%{name} - Log library for C++.

This package contains development libraries and headers for %{name}.

%package doc
Group:         Books/Other
Summary:       HTML formatted API documention for Log for C++
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description doc
%{name} - Log library for C++.

This package contains the development documentation for %{name}.

%prep
%setup -q -n log4cpp-%{version}
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# Delete non-free (but freely distributable) file under Artistic 1.0
# just to be sure we're not using it.
rm -rf src/snprintf.c
#Convert line endings.
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog

%build
aclocal -I m4
autoconf
autoheader
automake --add-missing --copy
libtoolize --copy --force
export LDFLAGS=-lpthread
%configure2_5x
%make

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
%makeinstall_std
mv %{buildroot}%{_docdir}/log4cpp-%{version} rpmdocs
#Remove unescesary binary from docs dir.
rm rpmdocs/api/installdox
rm -f %{buildroot}%{_libdir}/*.*a

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%{_libdir}/liblog4cpp.so.*
%doc ChangeLog COPYING

%files devel
%defattr(-,root,root,0755)
%{_bindir}/log4cpp-config
%{_includedir}/log4cpp/
%{_libdir}/liblog4cpp.so
%{_libdir}/pkgconfig/log4cpp.pc
%{_datadir}/aclocal/log4cpp.m4
%{_mandir}/man3/log4cpp*

%files doc
%defattr(-,root,root,0755)
%doc rpmdocs/*



%changelog
* Wed Aug 03 2011 dlucio <dlucio> 1.0-1.mga2
+ Revision: 131568
- fixing document group

  + gil <gil>
    - imported package log4cpp


* Wed Jul 13 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm
